Package de.willuhn.jameica.hbci.synchronize.scripting

# Class ScriptingSynchronizeBackend.ScriptingJobGroup

java.lang.Object
AbstractSynchronizeBackend<ScriptingSynchronizeJobProvider>.de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.JobGroup
de.willuhn.jameica.hbci.synchronize.scripting.ScriptingSynchronizeBackend.ScriptingJobGroup

Enclosing class:
  `ScriptingSynchronizeBackend`

protected class ScriptingSynchronizeBackend.ScriptingJobGroup extends AbstractSynchronizeBackend<ScriptingSynchronizeJobProvider>.JobGroup
Unsere Scripting-basierte Implementierung.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.JobGroup

`jobs`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ScriptingJobGroup(Konto k)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`sync()`
Fuehrt die Synchronisierung fuer die Job-Gruppe aus.

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend.JobGroup

`checkInterrupted, getKonto`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptingJobGroup

protected ScriptingJobGroup(Konto k)
ct.

Parameters:
  `k` - das Konto.

## Method Details

### sync

protected void sync() throws Exception
Description copied from class: `AbstractSynchronizeBackend.JobGroup`
Fuehrt die Synchronisierung fuer die Job-Gruppe aus.

Specified by:
  `sync` in class `AbstractSynchronizeBackend<ScriptingSynchronizeJobProvider>.JobGroup`
Throws:
  `Exception`